## sugar-pippy-activity 36~dfsg

=== debian/changelog ===
sugar-pippy-activity (36~dfsg-1) unstable; urgency=low

  * New upstream release.
  * Repackage source with Pippy library (containing potentially
    sourceless binary code) stripped.
  * Drop all local CDBS snippets: included with main cdbs package now.
  * Switch to source format "3.0 (quilt)".
  * Drop patchsys-quilt.mk snippet: superfluous with source format "3.0
    (quilt)".
  * Add git-buildpackage configfile, enable signed-tags and use of
    pristine-tar.
  * Add README.source. Drop README.cdbs-tweaks, README.packaging and
    CDBS hints in debian/rules.
  * Update dependencies:
    + Handle binary (not only build-) dependencies in debian/rules.
    + Tighten build-dependency on debhelper.
    + Drop build-dependencies on quilt and patchutils.
    + Relax build-dependencies on python-central and python-dev.
    + Relax build-dependency on devscripts slightly, to ease
      backporting.
    + Tighten build-dependency on cdbs.
    + Depend on python-dbus and python-box2d.
    + Recommend sugar-session (not sugar).
    + Recommend python-carquinyol (not python-olpc-datastore).
    + Suggest csound, and note its relation to python-tamtam-common.
  * Update copyright and licensing info:
    + Add proper copyright header to debian/rules.
    + Rewrite debian/copyright using DEP5 rev54 machine-readable format.
    + Refer to sugarlabs.org (not laptop.org) as upstream URLs.
    + Add new license for some parts: LGPL-2+.
  * Update watch file, and Homepage stanza in debian/rules, to use
    sugarlabs.org (not laptop.org) URLs.
  * Update OLPC relation (now historic) in long description.
  * Update debian/rules to use sugarlabs (not laptop.org) URL.
  * Refresh patch.
  * Bump Policy compliance to standards-version to 3.9.0.
  * Fix build-depend in non-virtual packages.
    Closes: bug#549729, thanks to Lucas Nussbaum and Hideki Yamane.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 21 Jul 2010 20:37:14 +0200

sugar-pippy-activity (25-2) unstable; urgency=low

  [ Jonas Smedegaard ]
  * Depend on ${misc:Depends}.
  * Adjust upstream source in debian/control, debian/copyright and in
    watch file.
  * Update local CDBS snippets:
    + python-sugar.mk: Install into right path. Closes: bug#507328.
    + python-sugar.mk: Install as non-localized activity name.
    + python-sugar.mk: Dynamically update locale entries in MANIFEST.
  * Semi-auto-update debian/control to tighten build-dependencies.

  [ Luke Faraone ]
  * Fix activity install path.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 07 Dec 2008 20:38:53 +0100

sugar-pippy-activity (25-1) unstable; urgency=low

  * New upstream release.
  * Update cdbs snippets:
    + Move dependency cleanup to new local snippet package-relations.mk.
    + Update README.cdbs-tweaks.
  * Update-copyright-check: PO files added (no new owners, copyrights or
    licenses).
  * Add DEB_MAINTAINER_MODE in debian/rules (thanks to Romain Beauxis).

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 16 Aug 2008 21:06:42 +0200

sugar-pippy-activity (22-1) unstable; urgency=medium

  * New upstream release.
    + Properly Supports recent versions of gtksourceview.  Closes:
      bug#482120, thanks to C. Scott Ananian and others.
  * Drop patch 1002, applied upstream now.
  * Unfuzz patch 1001.
  * Add watch file.
  * Update debian/copyright:
    + Add URL to upstream tarball source.
    + Use exact URL for upstream Git source.
    + Reorganize to only mention each license once.
  * Update local cdbs snippets:
    + Use upstream-tarball.mk to track upstream source releases.
    + Adjust dependency cleanup (upstream-tarball.mk needs newer cdbs).
    + Fix python-sugar.mk to work with recent python-sugar-toolkit where
      MANIFEST files are ignored and an internal hardcoded exception
      list is used instead.  Tighten build-dependency.  Drop use of (now
      irrelevant) DEB_PYTHON_SUGAR_MANIFEST.
    + Simplify build-dependency cleanup (1-revision fix no longer
      needed).
    + Restructure output of copyright-check.mk to match new proposed
      copyright-format at
      http://wiki.debian.org/Proposals/CopyrightFormat .
      This closes: bug#487002, thanks to Lucas Nussbaum.
  * Adjust debian/copyright to follow newest proposed draft of
    http://wiki.debian.org/Proposals/CopyrightFormat .
  * Semi-auto-update debian/control to update build-dependencies:
      DEB_AUTO_UPDATE_DEBIAN_CONTROL=yes fakeroot debian/rules clean
  * Set urgency=medium to hopefully reach Lenny before freezing.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 14 Jul 2008 18:10:20 +0200

sugar-pippy-activity (20~git.20080321-3) unstable; urgency=low

  * Update cdbs tweaks:
    + Clean *.xo and locale in python-sugar.mk (based on initial work by
      Santiago Ruano Rincón).
    + Fix preserve upstream MANIFEST files only once in python-sugar.mk.
    + Support multiple activity packages from one source in
      python-sugar.mk.
    + Update copyright-check cdbs snippet to store newline-delimited
      hints and strip any non-printable characters.  Update
      copyright-hints.
    + Drop wget options broken with recent versions of wget in
      update-tarball.mk.
    + Fix simultanously setting DEB_PYTHON_SUGAR_MANIFEST and
      DEB_PYTHON_SUGAR_MANIFEST_REGEX in python-sugar.mk.
    + Relax python-central and python-support build-dependencies in
      python-sugar.mk.
    + Tighten python-sugar.mk build-dependency on python-sugar-toolkit
      to versions using full path, and properly installs zip-based
      bundles (*.xo files).
  * Bump debhelper compatibility level to version 6.
  * Semi-auto-update debian/control to update build-dependencies:
      DEB_AUTO_UPDATE_DEBIAN_CONTROL=yes fakeroot debian/rules clean

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 26 Apr 2008 19:16:49 +0200

sugar-pippy-activity (20~git.20080321-2) unstable; urgency=low

  * Suggest (not recommend) sugar-tamtam: used for few examples, and is
    not yet in Debian (so upsets ftpmasters, as fulfilling all

