=== debian/control ===
Source: sugar-pippy-activity
Section: x11
Priority: optional
Maintainer: Debian OLPC <debian-olpc-devel@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>
Build-Depends: cdbs (>= 0.4.70~),
 devscripts (>= 2.10.7~),
 dh-buildinfo,
 python-central,
 debhelper (>= 6),
 python-dev (>= 2.3.5-7),
 python-sugar-0.88 | python-sugar,
 python-sugar-toolkit-0.88 | python-sugar-toolkit,
 unzip
Standards-Version: 3.9.0
Vcs-Git: git://git.debian.org/git/collab-maint/sugar-pippy-activity.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/sugar-pippy-activity.git;a=summary
Homepage: http://wiki.sugarlabs.org/go/Activities/Pippy
XS-Python-Version: >= 2.5

Package: sugar-pippy-activity
Architecture: all
Depends: ${shlibs:Depends}, ${python:Depends}, ${cdbs:Depends}, ${misc:Depends}
Recommends: ${cdbs:Recommends}
Suggests: ${cdbs:Suggests}
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: pippy activity for the Sugar graphical shell
 Sugar is a graphical user interface aimed at children.
 .
 Originating as intregral part of the OLPC "XO" a.k.a. the $100 laptop,
 Sugar has since grown into a more widely usable low-ressource desktop
 environment for kids.
 .
 This package contains the pippy activity, teaching Python programming
 by providing access to Python code samples and a fully interactive
 Python interpreter.
 .
 The user can type and execute simple Python expressions. For example,
 it would be possible for a user to write Python statements to calculate
 expressions, play sounds, or make simple text animation.
