=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2008-2010 Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for Pippy
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2, or (at
# your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
# 02111-1307 USA.

DEB_PYTHON_SYSTEM = pycentral
#DEB_SUGAR_BRANCHES = 0.82 0.84 0.86
include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/python-sugar.mk
include /usr/share/cdbs/1/rules/debhelper.mk

DEB_UPSTREAM_PACKAGE = Pippy
DEB_UPSTREAM_URL = http://download.sugarlabs.org/sources/sucrose/fructose/$(DEB_UPSTREAM_PACKAGE)
DEB_UPSTREAM_TARBALL_EXTENSION = tar.bz2
DEB_UPSTREAM_TARBALL_MD5 = 36fc6a469bfb141b34a925c45fc08f65

# Separately package library, including potentially sourceless binary code
DEB_UPSTREAM_REPACKAGE_EXCLUDES += ./library/

# Work around CDBS bug: virtual build-dependencies resolved when supporting all Sugar branches
CDBS_BUILD_DEPENDS_class_python-sugar_sugar = python-sugar-0.88 | python-sugar, python-sugar-toolkit-0.88 | python-sugar-toolkit, unzip

# Needed (always/often/sometimes) at runtime
#  * csound and python-tamtam-data used in pippy.sound
CDBS_DEPENDS = $(call cdbs_sugar_anybranchdeps,python-sugar python-sugar-toolkit sugar-presence-service)
CDBS_DEPENDS += , python-gobject, python-gtk2, python-vte, python-telepathy, python-pygame, python-gtksourceview2, python-box2d
CDBS_RECOMMENDS = $(call cdbs_sugar_anybranchdeps,sugar-session python-carquinyol)
CDBS_RECOMMENDS += , python-gst0.10
CDBS_SUGGESTS = csound, python-tamtam-data
