## sugar-pippy-activity 37~dfsg

=== debian/changelog ===
sugar-pippy-activity (37~dfsg-1) unstable; urgency=low

  * New upstream release.
  * Bump Policy compliance to standards-version 3.9.1.
  * Depend (not only build-depend) on branched sugar parts favored over
    virtual ones. Thanks to lintian.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 12 Oct 2010 00:42:05 +0200
