=== debian/control ===
--- 
+++ 
@@ -5,14 +5,14 @@
 Uploaders: Jonas Smedegaard <dr@jones.dk>
 Build-Depends: cdbs (>= 0.4.70~),
  devscripts (>= 2.10.7~),
- dh-buildinfo,
  python-central,
  debhelper (>= 6),
- python-dev (>= 2.3.5-7),
+ dh-buildinfo,
+ python,
  python-sugar-0.88 | python-sugar,
  python-sugar-toolkit-0.88 | python-sugar-toolkit,
  unzip
-Standards-Version: 3.9.0
+Standards-Version: 3.9.1
 Vcs-Git: git://git.debian.org/git/collab-maint/sugar-pippy-activity.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/sugar-pippy-activity.git;a=summary
 Homepage: http://wiki.sugarlabs.org/go/Activities/Pippy
