=== debian/rules ===
--- 
+++ 
@@ -28,17 +28,23 @@
 DEB_UPSTREAM_PACKAGE = Pippy
 DEB_UPSTREAM_URL = http://download.sugarlabs.org/sources/sucrose/fructose/$(DEB_UPSTREAM_PACKAGE)
 DEB_UPSTREAM_TARBALL_EXTENSION = tar.bz2
-DEB_UPSTREAM_TARBALL_MD5 = 36fc6a469bfb141b34a925c45fc08f65
+DEB_UPSTREAM_TARBALL_MD5 = fad4ab52ad3f9968dd746d053a73c05d
 
 # Separately package library, including potentially sourceless binary code
 DEB_UPSTREAM_REPACKAGE_EXCLUDES += ./library/
 
-# Work around CDBS bug: virtual build-dependencies resolved when supporting all Sugar branches
-CDBS_BUILD_DEPENDS_class_python-sugar_sugar = python-sugar-0.88 | python-sugar, python-sugar-toolkit-0.88 | python-sugar-toolkit, unzip
+# Suppress unneeded auto-resolved build-dependency on python-dev
+CDBS_BUILD_DEPENDS_class_python-sugar_python = python$(cdbs_python_nondefault_version)
+
+# Needed both by upstream build process and at runtime
+# TODO: call cdbs_sugar_anybranchdeps(), when CDBS bug doing that is fixed
+common-depends = python-sugar-0.88 | python-sugar, python-sugar-toolkit-0.88 | python-sugar-toolkit
+CDBS_BUILD_DEPENDS_class_python-sugar_sugar = $(common-depends), unzip
+CDBS_DEPENDS = $(common-depends)
 
 # Needed (always/often/sometimes) at runtime
 #  * csound and python-tamtam-data used in pippy.sound
-CDBS_DEPENDS = $(call cdbs_sugar_anybranchdeps,python-sugar python-sugar-toolkit sugar-presence-service)
+CDBS_DEPENDS += , sugar-presence-service-0.88 | sugar-presence-service
 CDBS_DEPENDS += , python-gobject, python-gtk2, python-vte, python-telepathy, python-pygame, python-gtksourceview2, python-box2d
 CDBS_RECOMMENDS = $(call cdbs_sugar_anybranchdeps,sugar-session python-carquinyol)
 CDBS_RECOMMENDS += , python-gst0.10
