## sugar-pippy-activity 46~dfsg

=== debian/changelog ===
sugar-pippy-activity (46~dfsg-2) unstable; urgency=low

  * Simplify setting main branch using new DEB_SUGAR_PRIMARY_BRANCH.
  * Suggest (not recommend) sugar-session.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 28 May 2012 21:03:41 +0200

sugar-pippy-activity (46~dfsg-1) unstable; urgency=low

  * New upstream release.

  * Remove debian/source/local-options: abort-on-upstream-changes and
    unapply-patches are default in dpkg-source since 1.16.1.
  * Bump standards-version to 3.9.3.
  * Use Python helper python2 (not python-central).
    Closes: bug#617101. Thanks to Matthias Klose.
  * Refer to FSF website (not postal address) in licensing header for
    rules file.
  * Bump debhelper compatibility level to 7.
  * Use anonscm.debian.org for Vcs-Browser field.
  * Sort package relations in control file.
  * Modernize long description, based on wiki.sugarlabs.org phrases.
  * Modernize short description based on upstream code comment.
  * Rewrite copyright file using format 1.0.
  * Extend copyright of Debian packaging to cover recent years.
  * Fix document repackaging in copyright file.
  * Update package relations:
    + Tighten build-dependency on cdbs and python: Needed for python2
      helper.
    + Stop build-depending on python-central: No longer used.
    + Relax build-depend unversioned on debhelper and devscripts: Needed
      versions satisfied even in oldstable.
    + Depend on python-elements (not python-box2d), to reflect upstream
      change.
    + Fix stop needlessly depending on sugar-presence-service.
    + Tighten dependency on python-vte.
      Closes: bug#556116. Thanks to Sascha Silbe.
  * Add patch 2001 to use system python-elements.
  * Fix limit repackaging to only strip python-elements (not outer
    pippy wrapper).
    Closes: bug#600395. Thanks esp. to James Cameron.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 27 May 2012 20:59:59 +0200
