=== debian/control ===
Source: sugar-pippy-activity
Section: x11
Priority: optional
Maintainer: Debian OLPC <debian-olpc-devel@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>
Build-Depends: devscripts,
 python (>= 2.6.5),
 cdbs (>= 0.4.97~),
 debhelper,
 dh-buildinfo,
 python-sugar-0.88 | python-sugar,
 python-sugar-toolkit-0.88 | python-sugar-toolkit,
 unzip
Standards-Version: 3.9.3
Vcs-Git: git://git.debian.org/git/collab-maint/sugar-pippy-activity.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/sugar-pippy-activity.git
Homepage: http://wiki.sugarlabs.org/go/Activities/Pippy

Package: sugar-pippy-activity
Architecture: all
Depends: ${cdbs:Depends},
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Recommends: ${cdbs:Recommends}
Suggests: ${cdbs:Suggests}
Provides: ${python:Provides}
Description: simple Python programming activity for Sugar
 Sugar is a desktop environment. It is conceived as a platform upon
 which children learn with Sugar Activities. The platform provides
 mechanisms for collaboration, reflection, and exploration. Sugar
 Activities cover a broad range of applications: browsing, drawing,
 composing, writing, programming, etc.
 .
 Pippy is a simple IDE for the Python programming language. It provides
 a menu of sample files, a text editing window, and simple controls for
 running and stopping the selected code.
