=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright 2008, 2009, 2010, 2012 Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for Pippy
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/python-sugar.mk
include /usr/share/cdbs/1/rules/debhelper.mk

pkg = $(DEB_SOURCE_PACKAGE)
DEB_SUGAR_PRIMARY_BRANCH = 0.88

DEB_UPSTREAM_PACKAGE = Pippy
DEB_UPSTREAM_URL = http://download.sugarlabs.org/sources/sucrose/fructose/$(DEB_UPSTREAM_PACKAGE)
DEB_UPSTREAM_TARBALL_EXTENSION = tar.bz2
DEB_UPSTREAM_TARBALL_MD5 = 6e19f864401e52e97dc2fc669cf4ebbe

# convenience code copy with source-less binaries
DEB_UPSTREAM_REPACKAGE_EXCLUDES += ./library/pippy/physics/

# Suppress unneeded auto-resolved build-dependency on python-dev
CDBS_BUILD_DEPENDS_class_python-sugar_python = python$(cdbs_python_nondefault_version)

# Needed (always/often/sometimes) at runtime
#  * csound and python-tamtam-data used in pippy.sound
CDBS_DEPENDS_$(pkg) = $(call cdbs_sugar_anybranchdeps,python-sugar python-sugar-toolkit)
CDBS_DEPENDS_$(pkg) += , python-gobject, python-gtk2, python-vte (>= 1:0.22.3~), python-telepathy, python-pygame, python-gtksourceview2, python-elements
CDBS_RECOMMENDS_$(pkg) = $(call cdbs_sugar_anybranchdeps,python-carquinyol)
CDBS_RECOMMENDS_$(pkg) += , python-gst0.10
CDBS_SUGGESTS_$(pkg) = $(call cdbs_sugar_anybranchdeps,sugar-session)
CDBS_SUGGESTS_$(pkg) += , csound, python-tamtam-data
