## sugar-pippy-activity 66

=== debian/changelog ===
sugar-pippy-activity (66-4) unstable; urgency=medium

  * Update package relations:
    + Fix relax to suggest (not depend on) python-elements: Needed only
      for one sample code (graphics/physics).
    + Relax to suggest (not recommend) python-gst0.10.
    + Fix suggest gstreamer1.0-plugins-base gstreamer0.10-plugins-good.
  * Fix rename locale aym→ay: ISO 639-1 favored over ISO 639-2.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 13 Jul 2015 15:05:56 +0200

sugar-pippy-activity (66-3) unstable; urgency=medium

  * Bump debhelper compatibility level to 9.
  * Add lintian override regarding debhelper 9.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 26 Jun 2015 13:19:59 -0500

sugar-pippy-activity (66-2) experimental; urgency=medium

  * Update package relations:
    + Recommend/depend on unbranched Glucose parts (i.e. core
      libraries).

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 19 Jun 2015 16:51:36 -0500

sugar-pippy-activity (66-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * Rewrite README.source to emphasize that control.in file is *not* a
    show-stopper for contributions, and refer to wiki page for details.
  * Update copyright info:
    + Use License-Grant and License-Reference fields.
      Thanks to Ben Finney.
    + Extend coverage for myself.
    + Relicense packaging as GPL-3+.
    + Update alternate git source URL.
  * Add lintian overrides regarding license in License-Reference field.
    See bug#786450.
  * Update package relations:
    + Fix suppress build-dependency on python-dev future-compatibly with
      cdbs 0.5.
    + Fix explicitly depend on python.
    + Relax slightly build-dependency on cdbs.
    + Relax to build-depend unversioned on python: Needed version
      satisfied even in oldstable.
    + (Build-)depend on python-sugar3 (not python-sugar or
      python-sugar-toolkit-*).
    + Depend on python-gir and some GIR bindings, instead of some Python
      libraries.
    + Bump primary branch to 0.104.
  * Declare compliance with Debian Policy 3.9.6.
  * Move packaging to Debian Sugar Team.
  * Modernize short and long description.
  * Bump debhelper compatibility level to 8.
  * Stop repackage upstream tarball: No source-less binary since v51.
  * Update patch 2001.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 19 Jun 2015 16:25:32 -0500
