=== debian/control ===
Source: sugar-pippy-activity
Section: x11
Priority: optional
Maintainer: Debian Sugar Team <pkg-sugar-devel@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>
Build-Depends: cdbs (>= 0.4.90~),
 devscripts,
 python,
 debhelper,
 dh-buildinfo,
 python-sugar3,
 unzip
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/pkg-sugar/sugar-pippy-activity
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-sugar/sugar-pippy-activity.git
Homepage: http://wiki.sugarlabs.org/go/Activities/Pippy

Package: sugar-pippy-activity
Architecture: all
Depends: ${cdbs:Depends},
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Recommends: ${cdbs:Recommends}
Suggests: ${cdbs:Suggests}
Provides: ${python:Provides}
Description: Sugar Learning Platform - Python programming activity
 Sugar Learning Platform promotes collaborative learning through Sugar
 Activities that encourage critical thinking, the heart of a quality
 education.  Designed from the ground up especially for children, Sugar
 offers an alternative to traditional “office-desktop” software.
 .
 Learner applications in Sugar are called Activities.  They are software
 packages that automatically save your work - producing specific
 instances of the Activity that can be resumed at a later time.  Many
 Activities support learner collaboration, where multiple learners may
 be invited to join a collective Activity session.
 .
 Pippy allows the student to examine, execute, and modify simple Python
 programs.  In addition it is possible to write Python statements to
 play sounds, calculate  expressions, or make simple text based
 interactive games.
