=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright 2008-2010, 2012, 2015 Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for Pippy
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/python-sugar.mk
include /usr/share/cdbs/1/rules/debhelper.mk

pkg = $(DEB_SOURCE_PACKAGE)

DEB_UPSTREAM_PACKAGE = Pippy
DEB_UPSTREAM_URL = http://download.sugarlabs.org/sources/sucrose/fructose/$(DEB_UPSTREAM_PACKAGE)
DEB_UPSTREAM_TARBALL_EXTENSION = tar.bz2

# Suppress unneeded auto-resolved build-dependency on python-dev
#  * TODO: drop cdbs_python_binary fallback when cdbs 0.5 is stable
CDBS_BUILD_DEPENDS_class_python-sugar_python = $(or $(cdbs_curpythonruntime),$(cdbs_python_binary))

# Override Sugar toolkit to use
CDBS_BUILD_DEPENDS_class_python-sugar_sugar = python-sugar3, unzip

# Build-depend unversioned on debhelper
#  TODO: Drop when adopted in cdbs
CDBS_BUILD_DEPENDS_rules_debhelper_v9 = debhelper

# Needed (always/often/sometimes) at runtime
#  * csound and python-tamtam-data used in pippy.sound
python-deps = sugar3 jarabe dbus telepathy pygame
gir-deps = glib-2.0 gtk-3.0 pango-1.0 vte-2.91 gdkpixbuf-2.0 gtksource-3.0
CDBS_DEPENDS_$(pkg) = python
CDBS_DEPENDS_$(pkg) +=, $(patsubst %,$(comma) python-%,$(python-deps))
CDBS_DEPENDS_$(pkg) +=, $(patsubst %,$(comma) gir1.2-%,$(gir-deps))
CDBS_RECOMMENDS_$(pkg) = python-carquinyol
CDBS_SUGGESTS_$(pkg) = sugar-session, csound, python-tamtam-data
CDBS_SUGGESTS_$(pkg) +=, python-gst0.10, gstreamer0.10-plugins-base
CDBS_SUGGESTS_$(pkg) +=, gstreamer0.10-plugins-good, python-elements

# strip unused code copy of python-elements
binary-fixup/$(pkg)::
	rm -rf $(cdbs_curdestdir)usr/share/sugar/activities/Pippy.activity/library/pippy/physics/myelements

# Fix favor ISO 639-1 when differing from ISO 639-2
binary-post-install/$(pkg)::
	mv debian/$(cdbs_curpkg)/usr/share/locale/aym \
		debian/$(cdbs_curpkg)/usr/share/locale/ay
