## sugar-pippy-activity 70+20160925~dfsg

=== debian/changelog ===
sugar-pippy-activity (70+20160925~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * Git snapshot.
    Highlights:
    + use latest CollabWrapper.
    + Use either Vte version.
    + Save as library; only if writable.
    + Typo, disutils to distutils.

  [ Jonas Smedegaard ]
  * Update copyright info: Update URLs to reflect new Github home.
  * Use get-orig-source for git snapshots. Document in README.source.
  * Modernize CDBS use: Build-depend on licensecheck (not devscripts).
  * Fix broken paths in desktop file.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 13 Dec 2016 16:01:46 +0100

sugar-pippy-activity (70~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).
    67
    + Updated VTE and Box2D support; cleaned up support for ARM.
    68
    + New translations.
    + Fixes to notebook tabs.
    69
    + Add missing file.
    70
    + More collabwrapper fixes.

  [ Jonas Smedegaard ]
  * Update copyright info:
    + Use only github (not sugarlabs.org) as source.
    + Add Github issue tracker as preferred contact.
    + Repackage upstream tarball, excluding non-DFSG binaries and
      convenience code copies of pybox2d.
    + Extend copyright of packaging to cover current year.
    + Extend to cover newly added files.
  * Update watch file:
    + Bump to file format 4.
    + Watch github (not sugarlabs.org) and mangle filename of download.
    + Mention gbp --uscan in usage comment.
    + Set repacksuffix and mangle debian version.
  * Drop CDBS get-orig-source target: Use "gbp import-orig --uscan"
    instead.
  * Update git-buildpackage config: Filter any .git* file.
  * Use https protocol in Vcs-Git URL.
  * Declare compliance with Debian Policy 3.9.8.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 09 May 2016 10:28:47 +0200
