=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Maintainer: Debian Sugar Team <pkg-sugar-devel@lists.alioth.debian.org>
 Uploaders: Jonas Smedegaard <dr@jones.dk>
 Build-Depends: cdbs (>= 0.4.90~),
- devscripts,
- python,
+ licensecheck,
  debhelper,
  dh-buildinfo,
+ python,
  python-sugar3,
  unzip
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/pkg-sugar/sugar-pippy-activity
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/pkg-sugar/sugar-pippy-activity
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-sugar/sugar-pippy-activity.git
 Homepage: http://wiki.sugarlabs.org/go/Activities/Pippy
