=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
-# Copyright 2008-2010, 2012, 2015 Jonas Smedegaard <dr@jones.dk>
+# Copyright 2008-2010, 2012, 2015-2016 Jonas Smedegaard <dr@jones.dk>
 # Description: Main Debian packaging script for Pippy
 #
 # This program is free software; you can redistribute it and/or modify
@@ -23,20 +23,18 @@
 
 pkg = $(DEB_SOURCE_PACKAGE)
 
-DEB_UPSTREAM_PACKAGE = Pippy
-DEB_UPSTREAM_URL = http://download.sugarlabs.org/sources/sucrose/fructose/$(DEB_UPSTREAM_PACKAGE)
-DEB_UPSTREAM_TARBALL_EXTENSION = tar.bz2
+DEB_UPSTREAM_URL = https://github.com/sugarlabs/Pippy/archive
+DEB_UPSTREAM_TARBALL_SRCDIR = Pippy-$(DEB_UPSTREAM_TARBALL_BASENAME)
+
+# Exclude non-DFSG binaries and convenience code copies
+DEB_UPSTREAM_REPACKAGE_EXCLUDES = library/Box2D.py ./library/box2d*/
 
 # Suppress unneeded auto-resolved build-dependency on python-dev
-#  * TODO: drop cdbs_python_binary fallback when cdbs 0.5 is stable
-CDBS_BUILD_DEPENDS_class_python-sugar_python = $(or $(cdbs_curpythonruntime),$(cdbs_python_binary))
+#  * TODO: drop cdbs_python_binary fallback when cdbs 0.4.150 is stable
+CDBS_BUILD_DEPENDS_class_python-sugar_python = $(or $(cdbs_python2_defaultruntime),$(cdbs_python_binary))
 
 # Override Sugar toolkit to use
 CDBS_BUILD_DEPENDS_class_python-sugar_sugar = python-sugar3, unzip
-
-# Build-depend unversioned on debhelper
-#  TODO: Drop when adopted in cdbs
-CDBS_BUILD_DEPENDS_rules_debhelper_v9 = debhelper
 
 # Needed (always/often/sometimes) at runtime
 #  * csound and python-tamtam-data used in pippy.sound
@@ -58,3 +56,9 @@
 binary-post-install/$(pkg)::
 	mv debian/$(cdbs_curpkg)/usr/share/locale/aym \
 		debian/$(cdbs_curpkg)/usr/share/locale/ay
+
+# Fix broken paths in desktop file
+#  * TODO: drop when fixed in sugar-toolkit-gtk3
+binary-fixup/$(pkg)::
+	find $(cdbs_curdestdir)/usr/share -type f -name '*.desktop' \
+		-execdir perl -pi -e 's,^\S+\s*=\s*\K\S*(?=/usr/share),,g' '{}' ';'
