## sugar-pippy-activity 71~dfsg

=== debian/changelog ===
sugar-pippy-activity (71~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * New upstream release:
    + Add Gtk and Sugar examples.
    + Merge Albanian strings.
    + Merge Yoruba strings.
    + honor max-participants.
    + Copy from Vte or text buffer.
    + Rename example load to open.
    + Load examples in new tab.
    + Typo, disutils to distutils.
    + Save as library; only if writable.
    + Load example; omit En and Es directories.
    + Pong example playability.
    + Repair Gtk tutorial examples.
    + Fix missing run, stop, clear icons.
    + Use either Vte version.
    + Use latest collabwrapper.py.

  [ Jonas Smedegaard ]
  * Modernize cdbs:
    + Drop upstream-tarball hints: Use gbp import-orig --uscan.
    + Do copyright-check in maintainer script (not during build).
      Relax to build-depend unversioned on cdbs.
      Stop build-depend on licensecheck.
  * Modernize Vcs-* fields: Use git (not cgit) in path.
  * Declare compliance with Debian Policy 4.1.0.
  * Update copyright info:
    + Extend coverage for myself.
    + Use https protocol in file format URL.
  * Fix rename locale ibo→ig: ISO 639-1 favored over ISO 639-2.
  * Add DEP-3 headers to patch.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 27 Aug 2017 22:42:53 +0200
