=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
-# Copyright 2008-2010, 2012, 2015-2016 Jonas Smedegaard <dr@jones.dk>
+# Copyright 2008-2010, 2012, 2015-2017 Jonas Smedegaard <dr@jones.dk>
 # Description: Main Debian packaging script for Pippy
 #
 # This program is free software; you can redistribute it and/or modify
@@ -16,18 +16,10 @@
 # You should have received a copy of the GNU General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
-include /usr/share/cdbs/1/rules/upstream-tarball.mk
-include /usr/share/cdbs/1/rules/utils.mk
 include /usr/share/cdbs/1/class/python-sugar.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
 
 pkg = $(DEB_SOURCE_PACKAGE)
-
-DEB_UPSTREAM_URL = https://github.com/sugarlabs/Pippy/archive
-DEB_UPSTREAM_TARBALL_SRCDIR = Pippy-$(DEB_UPSTREAM_TARBALL_BASENAME)
-
-# Exclude non-DFSG binaries and convenience code copies
-DEB_UPSTREAM_REPACKAGE_EXCLUDES = library/Box2D.py ./library/box2d*/
 
 # Suppress unneeded auto-resolved build-dependency on python-dev
 #  * TODO: drop cdbs_python_binary fallback when cdbs 0.4.150 is stable
@@ -56,6 +48,8 @@
 binary-post-install/$(pkg)::
 	mv debian/$(cdbs_curpkg)/usr/share/locale/aym \
 		debian/$(cdbs_curpkg)/usr/share/locale/ay
+	mv debian/$(cdbs_curpkg)/usr/share/locale/ibo \
+		debian/$(cdbs_curpkg)/usr/share/locale/ig
 
 # Fix broken paths in desktop file
 #  * TODO: drop when fixed in sugar-toolkit-gtk3
