## sugar-pippy-activity 71

=== debian/changelog ===
sugar-pippy-activity (71) belenos; urgency=low

  * 71 release

 -- Ruben Rodriguez <ruben@trisquel.info>  Wed, 04 Apr 2018 03:17:56 +0000
