## sugar-pippy-activity 72~dfsg

=== debian/changelog ===
sugar-pippy-activity (72~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Simplify rules.
  * Stop build-depend on dh-buildinfo.
  * Declare compliance with Debian Policy 4.3.0.
  * Update Vcs-* URLs: Maintenance moved to Salsa.
  * Set Rules-Requires-Root: no.
  * Update copyright info:
    + Use https protocol in alternate Source URL.
    + Strip superfluous copyright signs.
    + Extend coverage of packaging.
    + Stop track files no longer shipped upstream.
  * Update copyright check script.
  * Suggest gir1.2-gstreamer-1.0 gstreamer1.0-plugins-base
    gstreamer1.0-plugins-good
    (not python-gst0.10 gstreamer0.10-plugins-base
    gstreamer0.10-plugins-good).

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 02 Mar 2019 23:45:20 +0100
