## sugar-pippy-activity 75

=== debian/changelog ===
sugar-pippy-activity (75-2) unstable; urgency=medium

  * simplify build;
    build-depend on dh-linktree dh-sequence-python3
    (not cdbs dh-python)
  * drop obsolete workaround
    for build path leaking into installed files;
    tighten build-dependency on python3-sugar3
  * use debhelper compatibility level 12 (not 10);
    build-depend on debhelper-compat (not debhelper)
  * declare compliance with Debian Policy 4.5.1
  * fix shebang

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 03 Feb 2021 00:39:22 +0100

sugar-pippy-activity (75-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * copyright: stop repackage upstream source:
    no longer includes convenience code copies of external code projects
  * stop rename ISO 639-2 locale ibo: dropped upstream
  * use code copy of python-elements (dead upstream);
    drop patch 2001;
    stop suggest python-elements
  * use debhelper compatibility level 10 (not 9)
  * declare compliance with Debian Policy 4.5.0
  * watch:
    + simplify regular expressions;
    + rewrite usage comment;
    + use substitution strings;
    + use dversionmangle=auto
  * depend on gir1.2-telepathyglib-0.12 (not python3-telepathy)
  * (build-)depend on python3 modules (not python);
    build-depend on dh-python;
    closes: bug#912501, #938592,
    thanks to Dominik George and Matthias Klose

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 18 Apr 2020 15:37:03 +0200
