=== debian/control ===
--- 
+++ 
@@ -5,12 +5,13 @@
 Uploaders:
  Jonas Smedegaard <dr@jones.dk>,
 Build-Depends:
- cdbs,
- debhelper,
- python,
- python-sugar3,
+ debhelper-compat (= 12),
+ dh-linktree,
+ dh-sequence-python3,
+ python3,
+ python3-sugar3 (>= 0.118-3~),
  unzip,
-Standards-Version: 4.3.0
+Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/pkg-sugar-team/sugar-pippy-activity.git
 Vcs-Browser: https://salsa.debian.org/pkg-sugar-team/sugar-pippy-activity
 Homepage: http://wiki.sugarlabs.org/go/Activities/Pippy
@@ -24,28 +25,27 @@
  gir1.2-gtk-3.0,
  gir1.2-gtksource-3.0,
  gir1.2-pango-1.0,
+ gir1.2-telepathyglib-0.12,
  gir1.2-vte-2.91,
- python,
- python-dbus,
- python-jarabe,
- python-pygame,
- python-sugar3,
- python-telepathy,
+ python3,
+ python3-dbus,
+ python3-jarabe,
+ python3-pygame,
+ python3-sugar3,
  ${misc:Depends},
- ${python:Depends},
+ ${python3:Depends},
  ${shlibs:Depends},
 Recommends:
- python-carquinyol,
+ python3-carquinyol,
 Suggests:
  csound,
  gir1.2-gstreamer-1.0,
  gstreamer1.0-plugins-base,
  gstreamer1.0-plugins-good,
- python-elements,
- python-tamtam-data,
+ python3-tamtam-data,
  sugar-session,
 Provides:
- ${python:Provides},
+ ${python3:Provides},
 Description: Sugar Learning Platform - Python programming activity
  Sugar Learning Platform promotes collaborative learning through Sugar
  Activities that encourage critical thinking, the heart of a quality
