## sugar-pippy-activity 76

=== debian/changelog ===
sugar-pippy-activity (76-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * declare compliance with Debian Policy 4.6.2
  * simplify source helper script copyright-check
  * clean generated locale files;
    closes: bug#1046811, thanks to Lucas Nussbaum
  * update copyright info:
    + drop duplicate source URI
    + update coverage
    + use field Reference

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 06 Feb 2024 10:38:47 +0100
