=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  python3,
  python3-sugar3 (>= 0.118-3~),
  unzip,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/pkg-sugar-team/sugar-pippy-activity.git
 Vcs-Browser: https://salsa.debian.org/pkg-sugar-team/sugar-pippy-activity
 Homepage: http://wiki.sugarlabs.org/go/Activities/Pippy
